/*
 *  FileParser.h
 *  metricspace
 *
 *  Created by Michael Tauraso on 12/18/06.
 *  Copyright 2006 __MyCompanyName__. All rights reserved.
 *
 */
#include <vector>

#pragma once

class FileToken
{
public:
	FileToken(std::string);
	std::string getString();
	int getInt();
	float getFloat();
private:
	std::string m_data;
};

class FileParser
{
public:
	static const char ** parseLines(std::string filename, size_t& size);
	static void freeLines(const char** lines, size_t size);
	
	static std::vector<std::string> parseLines(std::string filename);
	
	static std::vector<std::vector<FileToken> > tokenize(std::string filename);
	
	static std::vector<FileToken> tokenizeLine(std::string line);
};



