/*
 *  InputHandler.h
 *  metricspace
 *
 *  Created by Michael Tauraso on 12/17/06.
 *  Copyright 2006 __MyCompanyName__. All rights reserved.
 *
 */

#pragma once
class Mouse
{
public:
	static Mouse * getInstance();
	
	void GlutInit();
	
	void setAngleSpeed(float speed);
	float getAngleSpeed();
	void setPanSpeed(float speed);
	float getPanSpeed();
	void setZoomSpeed(float speed);
	float getZoomSpeed();
	
	friend void MotionFunc(int x, int y);
	friend void PassiveMotionFunc(int x, int y);
	friend void MouseFunc(int button, int state, int x, int y);
	
private:
	Mouse();
	static Mouse * m_instance;
	
	float m_angleSpeed;
	float m_panSpeed;
	float m_zoomSpeed;
	
	int m_x;
	int m_y;
	
	bool m_lmb;
	bool m_rmb;
	bool m_mmb;
};

